%define         solib tolua++-5.3

Name:           tolua++
Version:        1.0.93
Release:        37%{?dist}.2
Summary:        A tool to integrate C/C++ code with Lua
License:        MIT
Source0:        %{name}-%{version}.tar.bz2
Patch0:         tolua++-1.0.93-no-buildin-bytecode.patch
Patch1:         tolua++-1.0.93-lua52.patch
Patch2:         tolua++-1.0.93-scons304.patch
BuildRequires:  gcc-c++
BuildRequires:  python3-scons
BuildRequires:  lua-devel >= 5.3

%description
tolua++ is an extended version of tolua, a tool to integrate C/C++ code with
Lua. tolua++ includes new features oriented to C++.


%package devel
Summary:        Development files for tolua++
Requires:       %{name} = %{version}-%{release}
Requires:       lua-devel >= 5.3

%description devel
Development files for tolua++


%prep
%autosetup -p1
sed -i 's/\r//' doc/%{name}.html


%build
SCONS_BIN=scons

$SCONS_BIN %{?_smp_mflags} -Q CCFLAGS="%{optflags} $(pkg-config --cflags lua)" tolua_lib=%{solib} LINKFLAGS="-Wl,-soname,lib%{solib}.so" shared=1
gcc -o bin/%{name} src/bin/tolua.o -Llib -l%{solib} -llua -ldl -lm


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
install -m 755 bin/%{name}  $RPM_BUILD_ROOT%{_bindir}
install -m 755 lib/lib%{solib}.so $RPM_BUILD_ROOT%{_libdir}
ln -s lib%{solib}.so $RPM_BUILD_ROOT%{_libdir}/libtolua++.so
install -p -m 644 include/%{name}.h $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 src/bin/lua/*.lua $RPM_BUILD_ROOT%{_datadir}/%{name}




%files
%doc README
%license COPYRIGHT
%{_libdir}/lib%{solib}.so
%{_datadir}/%{name}


%files devel
%doc doc/*
%{_bindir}/%{name}
%{_libdir}/libtolua++.so
%{_includedir}/%{name}.h


%changelog
* Wed Aug 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.93-37.2
- initial build

